/*****************************************************************************/
/*	aisa31w.h																 */
/*																			 */
/*	aISA-P31															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/03/24															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA31W_H__
#define __AISA31W_H__

#include "aisa31.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA31_DLL_NAME	  _T("aisa31.dll")	// DLL

#define AISA31_MAX_PORT	4	// aISA-P31̃|[g


#define AISA31_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa31wDllOpen();			// DLL [h
BOOL  Aisa31wDllClose();		// DLL A[h

BOOL  Aisa31wGetVersion(PDWORD pdwDllVer, PDWORD pdwDrvVer);// aISA-P31 DLL,Driver̃o[Wԍ擾

BOOL  Aisa31wCreate(PWORD pwLogSlot);	// CӂaISA-P31̎gp錾
BOOL  Aisa31wClose(WORD wLogSlot);		// CӂaISA-P31̎gpJ

BOOL  Aisa31wGetResource(WORD wLogSlot, PAISA31R pResInfo);			// \[X擾

BOOL  Aisa31wInPort(WORD wLogSlot, DWORD dwPort, PBYTE pbInValue);	// Cӂ̃|[gf[^
BOOL  Aisa31wOutPort(WORD wLogSlot, DWORD dwPort, BYTE bOutValue);	// Cӂ̃|[gփf[^o

DWORD Aisa31wGetLastError(WORD wLogSlot);		// aISA-P31̃G[R[h


#ifdef __cplusplus
}
#endif

#endif // __AISA31W_H__
